<?php
/**
 * Single post options
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */

$wp_customize->add_section( 'elead_pro_single', array(
	'title'            		=> esc_html__( 'Single Post','elead-pro' ),
	'description'      		=> esc_html__( 'Single Post Options.', 'elead-pro' ),
	'panel'            		=> 'elead_pro_theme_options_panel',
) );

// tags enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[tags_enable]', array(
	'sanitize_callback'		=> 'elead_pro_sanitize_checkbox',
	'default'             	=> $options['tags_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[tags_enable]', array(
	'label'               	=> esc_html__( 'Enable Tags', 'elead-pro' ),
	'section'             	=> 'elead_pro_single',
	'type'                	=> 'checkbox',
) );

// author name enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[author_name_enable]', array(
	'sanitize_callback'		=> 'elead_pro_sanitize_checkbox',
	'default'             	=> $options['author_name_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[author_name_enable]', array(
	'label'               	=> esc_html__( 'Enable Author Name', 'elead-pro' ),
	'section'             	=> 'elead_pro_single',
	'type'                	=> 'checkbox',
) );

// single date enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[enable_date]', array(
	'sanitize_callback'		=> 'elead_pro_sanitize_checkbox',
	'default'             	=> $options['enable_date'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[enable_date]', array(
	'label'               	=> esc_html__( 'Enable Date', 'elead-pro' ),
	'section'             	=> 'elead_pro_single',
	'type'                	=> 'checkbox',
) );

// comments enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[comments_enable]', array(
	'sanitize_callback'		=> 'elead_pro_sanitize_checkbox',
	'default'             	=> $options['comments_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[comments_enable]', array(
	'label'               	=> esc_html__( 'Show Comments Number', 'elead-pro' ),
	'section'             	=> 'elead_pro_single',
	'type'                	=> 'checkbox',
) );

// post navigation enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[post_navigation_enable]', array(
	'sanitize_callback'		=> 'elead_pro_sanitize_checkbox',
	'default'             	=> $options['post_navigation_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[post_navigation_enable]', array(
	'label'               	=> esc_html__( 'Enable Post Navigation', 'elead-pro' ),
	'section'             	=> 'elead_pro_single',
	'type'                	=> 'checkbox',
) );

// author box enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[author_box_enable]', array(
	'sanitize_callback'		=> 'elead_pro_sanitize_checkbox',
	'default'             	=> $options['author_box_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[author_box_enable]', array(
	'label'               	=> esc_html__( 'Enable Author Box', 'elead-pro' ),
	'section'             	=> 'elead_pro_single',
	'type'                	=> 'checkbox',
) );
